sas_expander_alloc
Prev | Serial Attached SCSI (SAS) transport class | Next

## Name

sas_expander_alloc — allocate an rphy for an end device

## Synopsis

`struct sas_rphy * sas_expander_alloc (` | struct sas_port * | parent,
| enum sas_device_type | type`)`;

## Arguments

`parent`

  which port

`type`

  SAS_EDGE_EXPANDER_DEVICE or SAS_FANOUT_EXPANDER_DEVICE

## Description

Allocates an SAS remote PHY structure, connected to `parent`.

## Returns

SAS PHY allocated or `NULL` if the allocation failed.

Prev | Up | Next
sas_end_device_alloc | Home | sas_rphy_add